package aliyun_avatar

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/aliyun_avatar"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /aliyun_avatar/list aliyun_avatar GetAliyunAvatarList
//
// Get aliyun avatar list | 获取AliyunAvatar列表
//
// Get aliyun avatar list | 获取AliyunAvatar列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: AliyunAvatarListReq
//
// Responses:
//  200: AliyunAvatarListResp

func GetAliyunAvatarListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.AliyunAvatarListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := aliyun_avatar.NewGetAliyunAvatarListLogic(r.Context(), svcCtx)
		resp, err := l.GetAliyunAvatarList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
